aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorMarkus Juenemann <markus@juenemann.net>2017-01-17 01:26:06 +0000
committerTimo Teräs <timo.teras@iki.fi>2017-02-08 07:32:50 +0000
commitf08d82b05040abbdc93e93d094e430afc5de76d2 (patch)
tree7341ae0e929c5c11616a29aad7bc8d67a1c73650 /testing
parentc7a2ec16f5a00db80e0f0ca2c14965ef72f5454d (diff)
downloadaports-f08d82b05040abbdc93e93d094e430afc5de76d2.tar.gz
aports-f08d82b05040abbdc93e93d094e430afc5de76d2.tar.bz2
aports-f08d82b05040abbdc93e93d094e430afc5de76d2.tar.xz
testing/peervpn: new aport
Adding peervpn (https://peervpn.net) package.
Diffstat (limited to 'testing')
-rw-r--r--testing/peervpn/APKBUILD46
-rw-r--r--testing/peervpn/peervpn.initd17
2 files changed, 63 insertions, 0 deletions
diff --git a/testing/peervpn/APKBUILD b/testing/peervpn/APKBUILD
new file mode 100644
index 0000000000..8f712c4881
--- /dev/null
+++ b/testing/peervpn/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Markus Juenemann <markus@juenemann.net>
+# Maintainer: Markus Juenemann <markus@juenemann.net>
+pkgname=peervpn
+pkgver=0.044
+pkgrel=0
+pkgdesc="PeerVPN builds virtual ethernet networks between multiple computers"
+url="https://peervpn.net"
+arch="all"
+license="GPL3"
+depends="libressl zlib"
+makedepends="$depends libressl-dev zlib-dev linux-headers"
+install=""
+subpackages=""
+source="
+ http://${pkgname}.net/files/${pkgname}-${pkgver//./-}.tar.gz
+ peervpn.initd
+ "
+
+# peervpn has a strange versioning scheme.
+builddir="$srcdir/$pkgname-${pkgver//./-}"
+
+build() {
+
+ cd "$builddir"
+ make
+}
+
+package() {
+ cd "$builddir"
+
+ install -Dm755 $pkgname "$pkgdir"/usr/sbin/$pkgname \
+ || return 1
+
+ install -Dm600 $pkgname.conf "$pkgdir"/etc/$pkgname.conf \
+ || return 1
+
+ install -Dm755 ${srcdir}/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname \
+ || return 1
+}
+
+md5sums="3acb4cbf083c0bdacc90ad7d2403b1bc peervpn-0-044.tar.gz
+c6c341d442888bbe583bf09e6fb67521 peervpn.initd"
+sha256sums="4402d5ce956d95ff85b8aeb455d984b9eb9c2e6a058d2580c8e90da12fed8392 peervpn-0-044.tar.gz
+a737637f4ab3767fb81cfef9cf4e0cb6fd57400df1caf028a2356b7ba4484def peervpn.initd"
+sha512sums="7c9dcfd1822ef4d9c5954589b041f7165df93bb81a35fc8b741702aad738bd846718822bb47ba8ac0c23ece1c5f9170334a688c3670cc8bd199733e49aaf5067 peervpn-0-044.tar.gz
+50b40a4139499d384d0826a7449b19cd3fbe5869841461cd97e8a125518c3744a1a8c70445656c1a60dae4e2e4e3eb2331bf6b687c8886cb0075ed8ab45310bc peervpn.initd"
diff --git a/testing/peervpn/peervpn.initd b/testing/peervpn/peervpn.initd
new file mode 100644
index 0000000000..2f631ba4eb
--- /dev/null
+++ b/testing/peervpn/peervpn.initd
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+
+# Sample init.d file for alpine linux.
+
+name=peervpn
+command="/usr/sbin/$name"
+command_args="/etc/$name.conf"
+command_background="yes"
+
+# peervpn does not daemonize itself.
+start_stop_daemon_args="--stdout=/var/log/$name.log --stderr=/var/log/$name.log"
+pidfile="/run/$name.pid"
+
+depend() {
+ need net
+ after firewall
+}